<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Merge Sort Demo</title>
    <link rel="stylesheet" href="style.css">
    <script src="code.js"></script>
</head>
<body>
    <div id="startscreen">
        <div class="content">
            <h1>Merge Sort</h1>
            <p>Understanding algorithms, even simple ones, can be challenging. Reading through the pseudo-code or actual code written in some programming language and tracing the execution line-by-line makes it difficult to grasp the core concepts of the algorithm.
                Therefore, we are presenting an alternate way to learn algorithms. Using the example of Merge sort, we will demonstrate a systematic way of learning algorithms using transition systems. <br><br>
                The Merge Sort algorithm is introduced gradually through four different experiments. Each experiment introduces just one new concept, and lets you interactively learn that concept while performing the given task. By the time you reach the final stage, you will be presented with the final algorithm, which you can step through at your own pace, visualising each every step involved.
            </p>
            <div class="start-btn" onclick="hideStartScreen()">START</div>
        </div>
    </div>

    <nav>
        <nav-item onclick="changeExperimentTo(0)" class="active">Split Machine</nav-item>
        <nav-item onclick="changeExperimentTo(1)">Merge Machine</nav-item>
        <nav-item onclick="changeExperimentTo(2)">Sort Machine</nav-item>
        <nav-item onclick="changeExperimentTo(3)">Merge Sort</nav-item>
    </nav>

    <div class="page split">
        <div class="text">
            <h1>Objective</h1>
            <p>Split the array into until each element is a sorted array which can then be merged.</p>
            <h1>Experiment Setup</h1>
            <p>The Split Machine enables us to split any array at any pont into 2 sub arrays.</p>
            <h1>Instructions</h1>
            <p>
                Click at the required position where you want to split the array. <br><br>
                Keep on splitting untill all the subarrays are sorted arrays. <br>
                (A unit array is considered a sorted array).
            </p>
        </div>
        <div class="experiment"></div>
    </div>

    <script>renderSplit()</script>
</body>
</html>